org.apache.flume.sink.kite.policy

## Interface FailurePolicy.Builder

- All Known Implementing Classes:
    RetryPolicy.Builder, SavePolicy.Builder
  Enclosing interface:
    FailurePolicy

      public static interface FailurePolicy.Builder

  Knows how to build `FailurePolicy`s. Implementers must provide a no-arg constructor.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FailurePolicy` | `build(Context config)` Build a new `FailurePolicy`

- - ### Method Detail

    - #### build

          FailurePolicy build(Context config)

      Build a new `FailurePolicy`
      Parameters:
        `config` - The Flume configuration context
      Returns:
        The `FailurePolicy`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.